org.gradle.testkit.runner

## Class UnsupportedFeatureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.testkit.runner.UnsupportedFeatureException

- All Implemented Interfaces:
    Serializable

      @Incubating
      public class UnsupportedFeatureException
      extends RuntimeException

  Thrown when a build was executed with a target Gradle version that does not support a specific feature.
  Since:
    2.11
  See Also:
    `GradleRunner.withGradleVersion(java.lang.String)`, `GradleRunner.withGradleInstallation(java.io.File)`, `GradleRunner.withGradleDistribution(java.net.URI)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedFeatureException(String message)`
    `UnsupportedFeatureException(String feature, org.gradle.util.GradleVersion targetGradleVersion, org.gradle.util.GradleVersion minSupportedGradleVersion)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedFeatureException

          public UnsupportedFeatureException(String feature,
                                     org.gradle.util.GradleVersion targetGradleVersion,
                                     org.gradle.util.GradleVersion minSupportedGradleVersion)

    - #### UnsupportedFeatureException

          public UnsupportedFeatureException(String message)